Package org.apache.tapestry5.services

## Enum RelativeElementPosition

- java.lang.Object
- - java.lang.Enum<RelativeElementPosition>
  - - org.apache.tapestry5.services.RelativeElementPosition

- All Implemented Interfaces:
    `Serializable`, `Comparable<RelativeElementPosition>`

      public enum RelativeElementPosition
      extends Enum<RelativeElementPosition>

  Used by `HiddenFieldLocationRules` to identify where a hidden field may be placed relative to a particular element.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AFTER` | The hidden field may be placed after the element, as a sibling.
    `INSIDE` | The hidden field may be placed inside the element, as a child.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RelativeElementPosition` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static RelativeElementPosition[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INSIDE

          public static final RelativeElementPosition INSIDE

      The hidden field may be placed inside the element, as a child.

    - #### AFTER

          public static final RelativeElementPosition AFTER

      The hidden field may be placed after the element, as a sibling.

  - ### Method Detail

    - #### values

          public static RelativeElementPosition[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RelativeElementPosition c : RelativeElementPosition.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RelativeElementPosition valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null